#
# spec file for package python-pydicom
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         oldpython python
%bcond_without  test
Name:           python-pydicom
Version:        0.9.9
Release:        lp151.2.2
Summary:        Pure python package for DICOM medical file reading and writing
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/darcymason/pydicom
Source:         https://files.pythonhosted.org/packages/source/p/pydicom/pydicom-%{version}.tar.gz
# This will be included in the tarball in the next release.  It can be removed then.
Source1:        license.txt
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%ifpython2
Obsoletes:      %{oldpython}-dicom < %{version}
Provides:       %{oldpython}-dicom = %{version}
%endif
BuildArch:      noarch

%python_subpackages

%description
pydicom is a pure python package for parsing DICOM files
into natural pythonic structures for further manipulation.
Modified datasets can be written again to DICOM format files.

DICOM is a standard (http://medical.nema.org) for communicating
medical images and related information such as reports
and radiotherapy objects.

%prep
%setup -q -n pydicom-%{version}
cp %{SOURCE1} ./

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
export LANG=en_US.UTF-8
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc license.txt
%{python_sitelib}/*

%changelog
* Mon Sep 11 2017 jengelh@inai.de
- Make package description neutral and compact it.
* Mon Sep 11 2017 toddrme2178@gmail.com
- Implement single-spec version
* Thu Oct 13 2016 toddrme2178@gmail.com
- Update to version 0.9.9
  + Major changes / enhancements
  * All dicom dictionaries updated (standard dictionary, UID
    dictionary, and private dictionaries)
  * Dicom commands also added to dictionary
  * Ability to work with DICOMDIR:  read_dicomdir() function and
    DicomDir class. Example file show_dicomdir.py file added to
    examples subdirectory.
  * codify.py: Produce python/pydicom source code from a dicom
    file.
  * a number of python 3 compatibility enhancements
  * setup.py uses ez_setup only if setuptools not already
    installed
  * exceptions carry tag info with them, to aid in debugging
  + Contrib file changes
  * pydicom_series:  force parameter added (Nil Goyette)
  * dcm_qt_tree: switch to OrderedDict to preserve ordering of
    tags (Padraig Looney)
- Rename package to python-dicom to python-pydicom to conform to python
  package naming policies.
- spec file completely rewritten.
- Remove unneeded python-dicom-remove-obsolete-distribute-support.patch
* Tue Dec 17 2013 p.drouand@gmail.com
- Update to version 0.9.8
  + No changelog available
- Add python-dicom-remove-obsolete-distribute-support.patch; setup
  script try to import setuptools from distribute
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri Aug 17 2012 scorot@free.fr
- fix build for SLE 11 x86_64
* Tue Aug  7 2012 toddrme2178@gmail.com
- Initial version
